Bull = Object:extend()

function Bull:new(damage,tarx,tary,x,y,bulletSpeed,slow,durchschlag,gift)
  self.x = x
  self.y = y
  self.targetX = tarx
  self.targetY = tary
  self.damage = damage
  self.speed = bulletSpeed
  self.hit = false
  self.livetime = 0.40
  self.death = false
  self.slow = slow
  self.durchschlag = durchschlag
  self.gift = gift
end

function Bull:update(dt)
  self.livetime = self.livetime - dt
  if self.livetime < 0 then
    self.death = true
  end
  
  self.x = self.x + ((self.speed*self.targetX) * dt)
  self.y = self.y + ((self.speed*self.targetY) * dt)

  for i, v in ipairs(listOfEnemy) do
    if self.x < listOfEnemy[i].x+listOfEnemy[i].radius and self.x+4 > listOfEnemy[i].x-listOfEnemy[i].radius and self.y < listOfEnemy[i].y+listOfEnemy[i].radius and self.y+4 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
      listOfEnemy[i].leben = listOfEnemy[i].leben - self.damage
      listOfEnemy[i].slow = self.slow
      listOfEnemy[i].gift = self.gift
      if self.durchschlag == false then
      self.hit = true
      end
    end
  end
  
end

function Bull:draw()
    love.graphics.setColor(0,0,0)
    love.graphics.rectangle("fill",self.x,self.y,4,4)
end

