Minen = Object:extend()

function Minen:new(x,y,damage)
  self.x = x
  self.y = y
  self.damage = damage
  self.lifetime = 2
  self.detonate = false
  self.dead = false
  self.death = false
  self.timer1 = 0.1
  self.timer2 = 0.1
end

function Minen:update(dt)
  self.lifetime = self.lifetime - dt
  if self.lifetime < 0 then
    self.detonate = true
  end
  
  --check ob jemand drauf tritt
  for i, v in ipairs(listOfEnemy) do
    if self.x < listOfEnemy[i].x+listOfEnemy[i].radius and self.x+4 > listOfEnemy[i].x-listOfEnemy[i].radius and self.y < listOfEnemy[i].y+listOfEnemy[i].radius and self.y+4 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
      self.detonate = true
    end
  end
  
  if self.detonate == true and self.death == false then
    peng(self.x,self.y)
    self.death = true
  end
  
  if self.death == true then
    self.timer1 = self.timer1 - dt
    if self.timer1 < 0 then
      self.dead = true
    end
  end
  
  
end

function Minen:draw()
  if self.detonate == true then
  --äußere explosion
  love.graphics.setColor(156,22,10,80)
  love.graphics.rectangle("fill",self.x-40,self.y-40,84,84)
  --mittlere explosion
  love.graphics.setColor(156,22,10,50)
  love.graphics.rectangle("fill",self.x-20,self.y-20,44,44)
  --innere explosion
  love.graphics.setColor(156,22,10,50)
  love.graphics.rectangle("fill",self.x-5,self.y-5,14,14)
  end
  --mine selbst
  love.graphics.setColor(0,0,0)
  love.graphics.rectangle("fill",self.x,self.y,4,4)
end


function peng(Ax,Ay)
      --äußere radius
    for i, v in ipairs(listOfEnemy) do
      if Ax-40 < listOfEnemy[i].x+listOfEnemy[i].radius and Ax+44 > listOfEnemy[i].x-listOfEnemy[i].radius and Ay-40 < listOfEnemy[i].y+listOfEnemy[i].radius and Ay+44 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
       listOfEnemy[i].leben = listOfEnemy[i].leben - 5
      end
    end
    
    --mittlere radius
    for i, v in ipairs(listOfEnemy) do
      if Ax-20 < listOfEnemy[i].x+listOfEnemy[i].radius and Ax+24 > listOfEnemy[i].x-listOfEnemy[i].radius and Ay-20 < listOfEnemy[i].y+listOfEnemy[i].radius and Ay+24 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
       listOfEnemy[i].leben = listOfEnemy[i].leben - 10
      end
    end
    
    --innere radius
    for i, v in ipairs(listOfEnemy) do
      if Ax-5 < listOfEnemy[i].x+listOfEnemy[i].radius and Ax+9 > listOfEnemy[i].x-listOfEnemy[i].radius and Ay-5 < listOfEnemy[i].y+listOfEnemy[i].radius and Ay+9 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
       listOfEnemy[i].leben = listOfEnemy[i].leben - 15
      end
    end
  end
