function drawDesign()

 -- zeichnet den Hintergrund des Spielfeldes
  love.graphics.setColor (47,21,173) --old 80,80,200
  love.graphics.rectangle("fill", 40, 40, 1100, 820)
  -- Erstellen des Menüs
  love.graphics.rectangle("fill", 1180, 40, 220, 820)        --Hintergrund Menü
  
  love.graphics.setColor (0,0,0)
  love.graphics.setFont(headFont)
  love.graphics.print("Minimal Tower Defenser", 1186, 50)
  love.graphics.rectangle("fill", 1182, 65, 216, 2)
  love.graphics.print("Structures", 1235, 150)
  love.graphics.rectangle("fill", 1205, 165, 170, 2)
  love.graphics.print("Waves in Progress", 1207, 575)
  love.graphics.rectangle("fill", 1205, 590, 170, 2)
  love.graphics.setFont(normalFont)
  love.graphics.print("Lives: " .. lebenspunkte, 1186, 72)
  love.graphics.print("Credits: " .. credits, 1258, 72)
  love.graphics.print("Waves: " .. welle, 1338, 72)
  --love.graphics.print(waveCount, 1345, 100) --hier kann man mal so werte anzeigen lassen zum testen, vor beendigung entfernen

  for k,v in pairs(wave) do
    laufendeWellen = k
    love.graphics.print("running Waves " .. k .. "  / Spawn: ".. v, 1182, k*20+580)
  end
  
  love.graphics.rectangle("fill", 1182, 88, 216, 1)
  love.graphics.rectangle("fill", 1182, 92, 216, 1)
  
  
  love.graphics.setColor(100,10,10)
  love.graphics.rectangle("fill", button["wave"].x, button["wave"].y, button["wave"].w, button["wave"].h)
  love.graphics.rectangle("fill", button["paus"].x, button["paus"].y, button["paus"].w, button["paus"].h)
  love.graphics.rectangle("fill", button["mute"].x, button["mute"].y, button["mute"].w, button["mute"].h)
  love.graphics.rectangle("fill", button["info"].x, button["info"].y, button["info"].w, button["info"].h)
  love.graphics.setColor (0,0,0)
  love.graphics.print("Next Wave!", 1196, 109)
  love.graphics.print(" I I ", 1276, 109)
  love.graphics.print(" Mute ", 1306, 109)
  love.graphics.print(" info", 1358,109)
  
  --malt wenn ein Tower aus dem Menü ausgewählt ist
  if towerAtCursor ~= nil then
   love.graphics.setColor(0,0,0)
   love.graphics.rectangle("fill",button[towerAtCursor].x-2,button[towerAtCursor].y-2,button[towerAtCursor].w+4,button[towerAtCursor].h+4)
  end

  --malt die tower buttons
  for i=1, 13 do
  love.graphics.setColor(button[i].R,button[i].G,button[i].B)
  love.graphics.rectangle("fill",button[i].x,button[i].y,button[i].w,button[i].h)
  love.graphics.print(button[i].name,button[i].x+30,button[i].y+4)
  love.graphics.printf("Cred's: " .. button[i].k,button[i].x+133,button[i].y+4,68,"right")
end


  -- zeichnet die einzelnen Felder
  love.graphics.setColor (60,210,90)
  for i=1, 55 do
  love.graphics.rectangle("fill", i*20+21,      41, 19, 19)
  for j=1, 41 do
  love.graphics.rectangle("fill", i*20+21, j*20+21, 19, 19)
  end
  end
  
end

function drawInfo()
  if info == true then
    love.graphics.setColor(54,56,105)
    love.graphics.rectangle("fill",271,171,898,558)
    love.graphics.setColor(21,22,41,255)
    love.graphics.rectangle("line",270,170,900,560)
    love.graphics.setFont(bigFont)
    love.graphics.print("M i n i m a l   T o w e r   D e f e n s e   I n f o   M e n u e", 300, 180)
    love.graphics.setFont(normalFont2)
    love.graphics.printf(" Welcome to this little Tower Defense Game, I hope you will enjoy it! \n \n \n Here are some useful tips how the Game works:\n \n If you run more Waves at the same time, all mobs will created with a higher amount of credits. But beware! Running more Waves means more mobs will spawned at the same time. Also the strenght of the mobs is coupled at the number of Waves, which can found in the upper right corner. However, run more then one wave at the same time is the key to survive longer, but it is at the same time the most dangerous thing you can do! \n\n\n Shortcuts: \n\n Space: toggles the paus function \n shift: keep the selected tower at building \n \n \n Enjoy! \n\n\n\n\n Created by: NoAim91 \n Special Thanks go out to: \n sheepolution for the super tutorial series \n rxi for sharing the classic libary \n  HaelDB for sharing the soundtrack at opengameart.org \n the löve community for answering my questions :-) ", 300, 220, 860)
  end
end

function drawDeadScreen()
  if gameOver == true then
    love.graphics.setColor(54,56,105)
    love.graphics.rectangle("fill",521,371,398,158)
    love.graphics.setColor(21,22,41,255)
    love.graphics.rectangle("line",520,370,400,160)
    love.graphics.setFont(bigFont)
    love.graphics.print("G a m e   O v e r", 595, 378)
    love.graphics.setFont(normalFont2)
    love.graphics.print("your score: "..score,530, 415)
    love.graphics.print("killed enemys: "..enemysKilled,760,415)
    love.graphics.print("survied waves: "..survivedWaves,530,445) 
    love.graphics.print("spend time: "..spentTime.." sec.", 760, 445)
    love.graphics.rectangle("fill", button["neww"].x,button["neww"].y,button["neww"].w,button["neww"].h)
    love.graphics.setColor(54,56,105)
    love.graphics.setFont(bigFont)
    love.graphics.print("New Game", button["neww"].x+18,button["neww"].y+9)
  end
end

