Entity = Object:extend()

function Entity:new()
  self.x = -10
  self.y = love.math.random(50,850)
  self.stun = false
  self.timer1 = 0.08 --stun timer
  self.timer2 = 0.08
  self.slow = false  
  self.timer3 = 0.4 --slow timer
  self.timer4 = 0.4
  self.burn = false
  self.timer5 = 0.8 --burn timer
  self.timer6 = 0.8
  self.gift = false
  self.timer7 = 3.0 --gift timer
  self.timer8 = 3.0
end

function Entity:update(dt)
  
  --movemnt with possible stun/slow down
  if self.stun == false then
       if self.slow == false then
       self.x = self.x + self.speed * dt
       else
       self.timer3 = self.timer3 - dt
       self.x = self.x + (self.speed-30) * dt -- -40 ist hier der slow down faktor
       if self.timer3 < 0 then
       self.slow = false
       self.timer3 = self.timer4
       end
       end
  else
  self.timer1 = self.timer1 - dt
    if self.timer1 < 0 then
      self.stun = false
      self.timer1 = self.timer2
    end
  end
  
  
  if self.burn == true then
    self.timer5 = self.timer5 - dt
    self.leben = self.leben - 0.08
    if self.timer5 < 0 then
      self.timer5 = self.timer6
      self.burn = false
    end
  end
  
  if self.gift == true then
    self.timer7 = self.timer7 - dt
    self.leben = self.leben - 0.05
    if self.timer7 < 0 then
      self.timer7 = self.timer8
      self.gift = false
    end
  end
  
end

function Entity:draw()
  love.graphics.circle("fill", self.x, self.y, self.radius)
end


