Impu = Object:extend()

function Impu:new(damage,tarx,tary,x,y)
  self.x = x
  self.y = y
  self.l = 4
  self.w = 4
  self.targetX = tarx
  self.targetY = tary
  self.damage = damage
  self.speed = 400
  self.livetime = 0.20
  self.death = false
end

function Impu:update(dt)
  self.livetime = self.livetime - dt
  if self.livetime < 0 then
    self.death = true
    clearImpul()
    self.x = 1
    self.y = 1
  end
  
  self.x = self.x + ((self.speed*self.targetX) * dt)
  self.y = self.y + ((self.speed*self.targetY) * dt)
  drawLine(self.x,self.y)

  for i, v in ipairs(listOfEnemy) do
    if self.x < listOfEnemy[i].x+listOfEnemy[i].radius and self.x+4 > listOfEnemy[i].x-listOfEnemy[i].radius and self.y < listOfEnemy[i].y+listOfEnemy[i].radius and self.y+4 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
      listOfEnemy[i].leben = listOfEnemy[i].leben - self.damage
    end
  end
  
end

function Impu:draw()
  
   love.graphics.setColor(0,0,0)
   love.graphics.rectangle("fill",self.x,self.y,4,4)
    
    for i, v in ipairs(impulselinie) do
    love.graphics.rectangle("fill",impulselinie[i].x,impulselinie[i].y,2,2)
    end

end

impulselinie = {}

function drawLine(x,y)
  table.insert(impulselinie, {x=x, y=y})
  end
  
  function clearImpul(x,y)
    for k in pairs (impulselinie) do
      impulselinie[k] = nil
    end
  end
  