Rocket = Object:extend()

function Rocket:new(damage,targx,targy,x,y)
  self.x = x
  self.y = y
  self.damage = damage
  self.targetX = targx
  self.targetY = targy
  self.speed = 200
  self.detonate = false
  self.livetime = 0.45
  self.dead = false
  self.death = false
  self.timer1 = 0.1
  self.timer2 = 0.1
end

function Rocket:update(dt)
  self.livetime = self.livetime - dt
    if self.livetime < 0 then
     self.detonate = true
    end
  
  if self.detonate == false then
  self.x = self.x + ((self.speed*self.targetX) * dt)
  self.y = self.y + ((self.speed*self.targetY) * dt)
  end
  
    for i, v in ipairs(listOfEnemy) do
    if self.x < listOfEnemy[i].x+listOfEnemy[i].radius and self.x+4 > listOfEnemy[i].x-listOfEnemy[i].radius and self.y < listOfEnemy[i].y+listOfEnemy[i].radius and self.y+4 > listOfEnemy[i].y-listOfEnemy[i].radius then --die 4 bei dem enemy mit radius ersetzen
      self.detonate = true
    end
  end
  
    if self.detonate == true and self.death == false then
    peng(self.x,self.y)
    self.death = true
  end
  
  if self.death == true then
    self.timer1 = self.timer1 - dt
    if self.timer1 < 0 then
      self.dead = true
    end
  end
  
end

function Rocket:draw()
    if self.detonate == true then
  --äußere explosion
  love.graphics.setColor(156,22,10,80)
  love.graphics.rectangle("fill",self.x-40,self.y-40,84,84)
  --mittlere explosion
  love.graphics.setColor(156,22,10,50)
  love.graphics.rectangle("fill",self.x-20,self.y-20,44,44)
  --innere explosion
  love.graphics.setColor(156,22,10,50)
  love.graphics.rectangle("fill",self.x-5,self.y-5,14,14)
  end
  --mine selbst
  love.graphics.setColor(0,0,0)
  love.graphics.rectangle("fill",self.x,self.y,4,4)
end
