function love.load()
  Object = require "classic"
  require "sound"
  require "globals"
  require "game"
  require "gui"
  require "design"
  require "map"

  require "enemies/entity"
  require "enemies/normal"
  require "enemies/runner"
  require "enemies/superRunner"
  require "enemies/thank"
  require "enemies/superThank"
  require "enemies/boss"
  require "enemies/superBoss"
  require "enemies/wavehandler"

  require "towers/tower"
  require "towers/gewehr"
  require "towers/schuetze"
  require "towers/eis"
  require "towers/flammen"
  require "towers/gift"
  require "towers/grbank"
  require "towers/impuls"
  require "towers/klbank"
  require "towers/mine"
  require "towers/panzer"
  require "towers/rakete"
  require "towers/schrot"
  require "towers/strom"
  require "towers/towerhandler"
  
  require "bullets/bull"
  require "bullets/impu"
  require "bullets/minen"
  require "bullets/rocket"
  require "bullets/bullethandler"
  
  game = Game()
  
  headFont = love.graphics.newFont("fonts/pdark.ttf", 14)
  bigFont = love.graphics.newFont("fonts/pdark.ttf", 22)
  normalFont = love.graphics.newFont("fonts/zekton.ttf", 12)
  normalFont2 = love.graphics.newFont("fonts/zekton.ttf", 14)
  
end

function love.update(dt)
  if gameRunning and info == false and gameOver == false then
  game:update(dt)
  end
end

function love.draw()
  game:draw()
end

function createNewGame()
towerAtCursor = nil
lebenspunkte = 40
credits = 820
welle = 0
wavePower = 4
laufendeWellen = 0
maximaleWellen = 12
gameRunning = true
waveCount = 0
mute = false
info = false
score = 0
enemysKilled = 0
survivedWaves = 0
spentTime = 0
wave = {}
listOfEnemy = {}
bullets = {}
rockets = {}
impulse = {}
listOfMinen = {}
listOfRockets = {}
listOfTowers = {}
gameOver = false
end

