Flamme = Tower:extend()

function Flamme:new(x, y)
  Flamme.super.new(self)
  self.x          = x
  self.y          = y  
  self.rate       = 1/button[4].rate
  self.rate2      = 1/button[4].rate
  self.damage     = button[4].schaden
  self.range      = button[4].range
  self.power      = false
end

function Flamme:update(dt)
  self.rate = self.rate-dt
  if self.rate < 0 then
    self.power = true
    self.rate = self.rate2
  end
  
  if self.power == true then
    flammenDamage(self.x,self.y,self.damage,self.range)
  end
  
  if self.power == true and self.rate < 0.30 then
     self.power = false
  end
end


function Flamme:draw()
    if self.power == true then
    love.graphics.setColor(156,76,0,160)
    love.graphics.rectangle("fill",self.x-self.range*20,self.y-self.range*20,self.range*40+20,self.range*40+20)
  end
  R = button[4].R
  G = button[4].G
  B = button[4].B
  Tower:draw(R,G,B,self.x,self.y,self.w,self.h)
  end

function flammenDamage(x,y,damage,range)
    for i, v in ipairs(listOfEnemy) do
      if x-range*20 < listOfEnemy[i].x and x+range*40 > listOfEnemy[i].x then
      if y-range*20 < listOfEnemy[i].y and y+range*40 > listOfEnemy[i].y then
        listOfEnemy[i].leben = listOfEnemy[i].leben - damage
        listOfEnemy[i].burn = true
      end
      end
    end
end
