Mine = Tower:extend()

function Mine:new(x, y)
  Mine.super.new(self)
  self.x          = x
  self.y          = y  
  self.rate       = 1/button[11].rate
  self.rate2      = 1/button[11].rate
  self.damage     = button[11].schaden
  self.range      = button[11].range
  self.magazin    = button[11].magazin
  self.magazin2   = button[11].magazin
  self.nachladen  = button[11].nachladen
  self.nachladen2 = button[11].nachladen
end

function Mine:update(dt)
  self.rate = self.rate - dt
  
  if self.rate < 0 and self.magazin > 0 then
    placeMine(self.x,self.y)
    self.rate = self.rate2
    self.magazin = self.magazin - 1
  end
  
  if self.magazin == 0 then
    self.nachladen = self.nachladen - dt
    if self.nachladen < 0 then
      self.magazin = self.magazin2
      self.nachladen = self.nachladen2
    end
  end
  
end

function Mine:draw()
  R = button[11].R
  G = button[11].G
  B = button[11].B
  Tower:draw(R,G,B,self.x,self.y,self.w,self.h)
end



function placeMine(x,y)
  local newX = love.math.random(x-60, x+60)
  local newY = love.math.random(y-60, y+60)
  table.insert(listOfMinen,createMine(newX,newY))
end
