Tower = Object:extend()

function Tower:new()
  self.w            = 20
  self.h            = 20
  self.xp           = 0
  self.level        = 1
  self.targetX      = nil
  self.targetY      = nil
  self.idleTimer    = 5
  self.idleTimer2   = 5
  self.bulletspeed  = 180
  self.shotgun      = false
  self.slow         = false
  self.durchschlag  = false
  self.impulse      = false
  self.gift         = false
end


function Tower:update(dt)
  self.idleTimer = self.idleTimer - dt
  
  -- getTarget function
  if self.targetX == nil then
   self.rate = self.rate - dt
    if self.rate < 0 then
        for i,v in ipairs(listOfEnemy) do
          if self.x-self.range*20 < listOfEnemy[i].x and self.x+self.range*40 > listOfEnemy[i].x and self.y-self.range*20 < listOfEnemy[i].y and self.y+self.range*40 > listOfEnemy[i].y then
          self.targetX = listOfEnemy[i].x
          self.targetY = listOfEnemy[i].y
          end
        end
      self.rate = self.rate2
    end
  end
  
  --fire including rate
   if self.targetX ~= nil and self.magazin > 0 then
     rechneZiel(self.targetX,self.targetY,self.x,self.y,self.range)
     if self.impulse == true then
     table.insert(impulse, createImpulse(self.damage,targX,targY,self.x+8,self.y+8))
     self.targetX = nil
     self.targetY = nil -- hier könnte man eine funktion nehmen die prüft ob das ziel noch in reichweite ist und dann gleich wieder schießen
     self.idleTimer = self.idleTimer2
     self.magazin = self.magazin - 1
     else
     table.insert(bullets, createBullet(self.damage,targX,targY,self.x+8,self.y+8,self.bulletspeed,self.slow,self.durchschlag,self.gift))
     if self.shotgun == true then
     table.insert(bullets, createBullet(self.damage,targX,targY,self.x+2,self.y+2,self.bulletspeed,self.slow,self.durchschlag,self.gift))
     table.insert(bullets, createBullet(self.damage,targX,targY,self.x+14,self.y+14,self.bulletspeed,self.slow,self.durchschlag,self.gift))
     end
     self.targetX = nil
     self.targetY = nil -- hier könnte man eine funktion nehmen die prüft ob das ziel noch in reichweite ist und dann gleich wieder schießen
     self.idleTimer = self.idleTimer2
     self.magazin = self.magazin - 1
     end
   end
   
   -- reload 
  if self.magazin == 0  or self.idleTimer < 0 then
   self.nachladen = self.nachladen - dt
     if self.nachladen < 0 then
      self.magazin = self.magazin2
      self.nachladen = self.nachladen2
     end
  end
   
end

function Tower:draw(R,G,B,x,y,w,h)
  love.graphics.setColor(R,G,B)
  love.graphics.rectangle("fill",x+1,y+1,w-1,h-1)
end



--funktion macht 360° Schüsse möglich
function rechneZiel(tarX,tarY,xA,yA,rangeA)
  targX = nil
  targY = nil
 
  local veraenderungX = (tarX-xA-10)/(rangeA*20)
  local veraenderungY = (tarY-yA-10)/(rangeA*20)
 
  if veraenderungX <= 0 and veraenderungY <= 0 then
   targX = (2*veraenderungX/(veraenderungX+veraenderungY))*-1
   targY = (2*veraenderungY/(veraenderungX+veraenderungY))*-1
  end
  if veraenderungX > 0 and veraenderungY <= 0 then
   targX = 2*veraenderungX/(veraenderungX-veraenderungY)
   targY = 2*veraenderungY/(veraenderungX-veraenderungY)
  end
  if veraenderungX <= 0 and veraenderungY > 0 then
   targX = 2*veraenderungX/(veraenderungY-veraenderungX)
   targY = 2*veraenderungY/(veraenderungY-veraenderungX)
  end
  if veraenderungX > 0 and veraenderungY > 0 then
   targX = 2*veraenderungX/(veraenderungX+veraenderungY)
   targY = 2*veraenderungY/(veraenderungX+veraenderungY)
  end
  
end

